import { ITicketActivity } from '../../store/zdesk.type';
export declare class ProfileTicketActivities {
    ticketId: number;
    isLoading: boolean;
    ticketActivities: ITicketActivity[];
    page: number;
    totalPage: number;
    hasNextPage: boolean;
    componentWillLoad(): Promise<void>;
    private loadTicketActivities;
    private handleScroll;
    render(): any;
}
